List Schemas

Retrieves schema information for all IDS (Intermediate Data Schema) in the organization.

Performance Notice: This endpoint may timeout with large datasets (500+ schemas). For better performance, use the targeted alternatives below.

Recommended Alternatives:

  1. List available IDS (if needed): GET /v1/artifacts/ids
  2. Get specific components:
  • Schema: GET /v1/artifacts/ids/{namespace}/{slug}/{version}/files/schema
  • Mapping: GET /v1/artifacts/ids/{namespace}/{slug}/{version}/files/mapping
  • Expected: GET /v1/artifacts/ids/{namespace}/{slug}/{version}/files/expected
  • README: GET /v1/artifacts/ids/{namespace}/{slug}/{version}/files/readme

When to use alternatives: If you need specific schema details or are working with organizations that have many IDS definitions.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Return only IDS of a given type. Example: plate-reader. If omitted, will return the all the IDS the api key has access to.

string

Return a specific version. This must be used with type. Example: v1.0.0. If omitted, will return all the versions.

string

Comma-separated list of fields to return (nested paths are also supported). Example: namespace,slug,version,schema.description. If omitted, will return full structure. Not-existing fields will be ignored.

Headers
string
required

JWT Token

string
required

Your organization slug

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json